%define upstream_name    Unicode-String
%define upstream_version 2.10

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Unicode-String module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:		perl-Unicode-String-2.09-utf8doc.patch

BuildRequires:	perl-devel >= 5.8.0

%{?perl_default_filter}

%description
These are experimental modules to handle various Unicode issues.  They
were made before perl included native UTF8 support.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/auto/Unicode/String
%{perl_vendorarch}/Unicode/*.pm
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 2.100.0-10.mga9
+ Revision: 1862588
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.100.0-9.mga9
+ Revision: 1796140
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.100.0-8.mga9
+ Revision: 1727210
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.100.0-7.mga8
+ Revision: 1595294
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.100.0-6.mga8
+ Revision: 1529034
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 2.100.0-5.mga8
+ Revision: 1433020
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.100.0-4.mga7
+ Revision: 1293935
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.100.0-3.mga7
+ Revision: 1249312
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 2.100.0-2.mga7
+ Revision: 1167226
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 2.100.0-1.mga7
+ Revision: 1156193
- update to 2.10

* Thu Aug 31 2017 pterjan <pterjan> 2.90.0-19.mga7
+ Revision: 1149425
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.90.0-18.mga7
+ Revision: 1126702
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.90.0-17.mga6
+ Revision: 1035477
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.90.0-16.mga6
+ Revision: 958188
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.90.0-15.mga6
+ Revision: 845454
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.90.0-14.mga6
+ Revision: 841345
- Fix build with perl 5.22 + carefully convert documentation to UTF-8 encoding (patches from Fedora)

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-13.mga5
+ Revision: 747142
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.90.0-12.mga5
+ Revision: 732589
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-11.mga5
+ Revision: 686796
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.90.0-10.mga5
+ Revision: 631841
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.90.0-9.mga4
+ Revision: 525079
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.90.0-8.mga4
+ Revision: 431828
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.90.0-7.mga3
+ Revision: 374618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.90.0-6.mga3
+ Revision: 251289
- rebuild for perl 5.16

* Sat Apr 21 2012 tv <tv> 2.90.0-5.mga2
+ Revision: 232245
- no need to require perl

* Sun Jun 12 2011 sander85 <sander85> 2.90.0-4.mga2
+ Revision: 105097
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 2.90.0-3.mga1
+ Revision: 23965
- cleaning spec file
- imported package perl-Unicode-String


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.90.0-3mdv2011.0
+ Revision: 564591
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.90.0-2mdv2011.0
+ Revision: 555208
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.90.0-1mdv2010.1
+ Revision: 401993
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.09-5mdv2009.0
+ Revision: 224595
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.09-4mdv2008.1
+ Revision: 151347
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 2.09-3mdv2008.0
+ Revision: 67541
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.09-2mdv2008.0
+ Revision: 23250
- rebuild


* Fri Oct 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.09-1mdk
- 2.09

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.07-4mdk
- rebuild for new perl

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.07-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.07-1mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 François Pons <fpons@mandrakesoft.com> 2.07-1mdk
- 2.07.

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.06-5mdk
- rebuild

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.06-4mdk
- Rebuilt

* Tue Aug 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.06-3mdk
- rebuild for multi-thread perl

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 2.06-2mdk
- rebuild for perl 5.8.0

* Fri Mar 08 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.06-1mdk
- First MandrakeSoft Package

